USN-5531-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5531-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5531-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5531-1
Related
Published
2022-07-26T16:28:27.935812Z
Modified
2022-07-26T16:28:27.935812Z
Summary
protobuf-c vulnerability
Details

Pietro Borrello discovered that protobuf-c contained an invalid arithmetic shift. This vulnerability allowed attackers to cause a denial of service (system crash) via unspecified vectors (CVE-2022-33070).

It was discovered that protobuf-c contained an unsigned integer overflow. This vulnerability allowed attackers to cause a denial of service (system crash) via unspecified vectors.

Todd Miller discovered that protobuf-c contained a possible NULL dereference. This could cause a vulnerability that allowed attackers to cause a denial of service (system crash) via unspecified vectors.

References

Affected packages

Ubuntu:22.04:LTS / protobuf-c

Package

Name
protobuf-c

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.3.3-1ubuntu2.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "protobuf-c-compiler": "1.3.3-1ubuntu2.1",
            "libprotobuf-c-dev": "1.3.3-1ubuntu2.1",
            "libprotobuf-c1": "1.3.3-1ubuntu2.1"
        }
    ]
}

Ubuntu:20.04:LTS / protobuf-c

Package

Name
protobuf-c

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.3.3-1ubuntu0.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "protobuf-c-compiler": "1.3.3-1ubuntu0.1",
            "libprotobuf-c-dev": "1.3.3-1ubuntu0.1",
            "libprotobuf-c1": "1.3.3-1ubuntu0.1"
        }
    ]
}